NEWALIASES(8)

NAME
newaliases - rebuild the database for the mail aliases file

SYNOPSIS
newaliases [-f file]

DESCRIPTION
newaliases rebuilds the random access database for the mail aliases file, the location of which is defined in smtpd.conf(5), and which by default is /etc/mail/aliases. This utility must be run each time the aliases file is changed in order for the change to take effect.

The options are as follows:

-f file
    Use file as the configuration file, instead of the default /etc/mail/smtpd.conf.

Note: this utility is provided for sendmail compatibility. The preferred way of rebuilding the database is with makemap(8):

    # makemap -t aliases /etc/mail/aliases

FILES
/etc/mail/aliases
    List of local user mail aliases.
/etc/mail/virtual
    List of virtual host aliases.

EXIT STATUS

SEE ALSO
smtpd.conf(5), makemap(8)

HISTORY
The newaliases command first appeared in OpenBSD 4.6 as a replacement for the equivalent command shipped with sendmail.